Add a new Discount

Add a new Discount

Body Params

Discount object that needs to be added

string

Discount code value which used by Minor discount program

boolean

Flag value specifying availability status of this resource, 'true' if active

string

String representing a key for internal admin permissions resolution. Used in certain cases related to the discount application scoping.

uri

URI of an alternative PriceTier API object for this discount

boolean

Flag value specifying whether the discount could be applied to multiple items or not, 'true' if multiple items discounting available ("target_volume" option becomes accessible)

boolean

Flag value specifying whether the re-pricing discount to sum of products or not, 'true' if re-price sub of products

boolean

Flag value specifying whether the discount will be applied to all members of the qualifed group or not, 'true' if applied to all. MEmber of the group is determined by "qualification_subtype" option.

boolean

Flag value specifying whether the discount will be applied to the pure product price (unaltered by modifiers) or not, 'true' if applied to base product price

boolean

Flag value specifying whether the discount should be applied to products accordingly to the rule defined by "application_type" option or not, 'true' if discount applied to entire application type

integer
enum

ID representing the way the weighted products discounted (0 - By total; 1 - By unit)

Discount Weighted Products Types:

  • 0 - BY_TOTAL
  • 1 - BY_UNIT
Allowed:
boolean

Flag value specifying whether the discount should be applied automatically (when all are requirements met) or not, 'true' if discount applied automatically

boolean

Flag value specifying whether the discount is related to awarding loyalty program or not, 'true' if discount is awarding. Used by Shell Coupon rewarding program.

string

Barcode of the the discount

uri

URI of an User API object which is responsible for the resource creation

date-time

ISO8601 timestamp of the last time the resource was created

string

Set of dining option IDs represented as a list which in turn represented as a string (IDs are defined in the EnumDiningOption object)

float

Amount of the discount

boolean

Flag value specifying whether this discount should be applied per item or not, 'true' if discount applied per item

boolean

Flag value specifying whether discount will be determined by matching action codes or not, 'true' if discount by matched code

integer
enum

ID representing functional scope of the discount for application (0 - Standard/Default; 1 - Customers group; 2 - Loyalty rewards; 3 - Gift with pruchase)

Discount Function Types:

  • 0 - CORE
  • 1 - CUSTOMER
  • 2 - LOYALTY
  • 3 - GIFT_WITH_PURCHASE
Allowed:
integer
enum

ID representing the way of the discount provided (0 - Point redemption; 1 - Redeemed; 2 - Giveaway; 3 - Bonus coupon; 4 - Generic voucher; 5 - Loyalty voucher; 6 - Fuel voucher; 7 - Third party voucher)

Discount Method Types:

  • 0 - POINT_REDEMPTION
  • 1 - REDEEMED
  • 2 - GIVE_AWAY
  • 3 - BONUS_COUPON
  • 4 - VOUCHER_GENERIC
  • 5 - VOUCHER_LOYALTY
  • 6 - VOUCHER_FUEL
  • 7 - VOUCHER_THIRDPARTY
integer

Tier ID of the tiered discount

integer
enum

ID of discount type, i.e. percentage discount, amount of dollars discount, repricing each item, etc (defined in Products/Discounts)

Discount Rule Types:

  • 0 - AMOUNT
  • 1 - PERCENT
  • 2 - RE_PRICE
  • 3 - ALT_PRICE
Allowed:
boolean

Flag value specifying whether this discount will be available for manual selection on iPad or not, 'true' if discount will be available for selection

string

Dummy PAN number used by Shell Coupon rewarding program

date-time

ISO8601 timestamp of the discount promotion starting date

date-time

ISO8601 timestamp of the discount promotion ending date

uri

URI of an Establishment API object which is related to the discount

string

Flag value specifying whether the upsell combos is excluded from the discount or not, 'true' if upsell combos excluded

float

The lowest price that can be charged for a product under this discount, including modifiers. Does not apply to reprice or alt price discounts. Items with stacked discounts may have their prices lowered below the floor.

uri

URI of a Product API object representing gift product used by Shell Coupon rewarding program

integer
enum

ID representing how frequently a discount should be applied (0 - Each time all requirements are met; 1 - Each time user selects)

Discount Recurrence Types:

  • 0 - ALL_APPLICABLE
  • 1 - ONCE_PER_ORDER
  • 2 - ONCE_PER_SELECTION
Allowed:
boolean

Flag value specifying where the "repeating cash off" feature is off or on, 'true' if feature is off. Repeating cash off gives some sum off when customer spends the "minimum_amount" on regular basis

boolean

Flag value specifying whether the discount is variable or not, 'true' if discount is variable. That means that the amount of discount should be provided each time on POS.

boolean

Flag value specifying whether the discount works as wholesale or not, 'true' if discount acts as wholesale. That means that the product price will be altered by the discount value, but there will be no a mention about discount in the orders, reports, etc

string

Code identifying the loyalty program related to the discount. Used by Shell Coupon rewarding program.

float

A value which with applied "discount_amount" gives "maximum_off" in result. Used by Shell Coupon rewarding program.

string

Maximum amount of the discount (in currency)

float

Minimum limit discount amount used by Shell Coupon rewarding program

float

The minimum amount the customer should spend to participate in the discounting

boolean

Flag value specifying whether the entire order should be considered for deducing minimum amount to apply a discount or not, 'true' if minimum amount will be determined by the entire order

uri

URI of a Modifier API object related to the specified modifier for discounting. This option is set when "qualification_subtype" is "by modifier" type.

uri

URI of a ModifierClass API object related to the specified product for discounting. This option is set when "qualification_subtype" is "by modifier class" type.

modifier_classes
array of uris

List of URI of ModifierClass API object related to the specified product for discounting. This option is set when "qualification_subtype" is "by modifier class" type.

modifier_classes
string

Name of the discount

boolean

Used to preserve "taxed" actual value when selected "disable_untaxed_discounts" system setting

boolean

Flag value used by Minor discount program

boolean

Flag value specifying whether the discount application protected by password or not, 'true' if discount protected by password (non-management stuff only)

integer

Minimal number of the loyalty points required to redeem

uri

URI of a Product API object related to the specified product for discounting. This option is set when "qualification_subtype" is "by product" type.

product_class
array of strings

List of URI of ProductClass API objects related to the products for discounting. This option is set when "qualification_subtype" is "by product class" type.

product_class
boolean

Flag value specifying whether the product is from each class group or not, 'true' if prdouc from each class group

string

List of URI of ProductGroup API objects related to the specified product group for discounting. This option is set when "qualification_subtype" is "by product group" type.

integer
enum

ID representing additional level of detailization for the discount application (0 - None; 1 - By product; 2 - By product group; 3 - By product class; 4 - By modifier; 5 - By modifier class)

Discount Qualification Subtypes:

  • 0 - NONE
  • 1 - PRODUCT
  • 2 - GROUP
  • 3 - CLASS
  • 4 - MODIFIER
  • 5 - MODIFIERCLASS
Allowed:
integer
enum

ID representing scope of the discount application (0 - Item and order; 1 - Item only; 2 - Order only)

Discount Qualification Types:

  • 0 - ALL
  • 1 - ITEM
  • 2 - ORDER
Allowed:
boolean

If the discounted product has an upcharge, the discount amount will be lessened by the amount of the upcharge. For instance, if you want to discount all T-shirts to $15.00, but x-large T-shirts should still cost an extra $2.00, use this setting.

string

Additional information about discount to be displayed on the receipt

string

Set of dining option IDs represented as a list which in turn represented as a string (IDs are defined in the EnumPaymentType object)

integer
enum

ID representing the way the rewards accounted for

Discount Reward Types:

  • 0 - PURCHASES
  • 1 - ITEMS
  • 2 - VISIT
Allowed:
string

Representing scheme code used by Shell Coupon rewarding program

integer
enum

ID representing the way of the discount stacking (0 - Competitive - i.e. discount for the competitive product user; 1 - Stackable; 2 - Competitive and non-stackable)

Discount Stackable Types:

  • 0 - COMPETITIVE
  • 1 - STACKABLE
  • 2 - NOT_STACKED
Allowed:
boolean

Flag value specifying whether the applied discount will be available in reports or not, 'true' if discount will be displayed on reports

string

Specifies number of items to be discounted. Option is available if "apply_multiple_times" is set to 'true'

boolean

Flag value specifying the tax application order, 'true' if tax will be applied after the discount

uri

URI of an User API object which is responsible for the resource update

date-time

ISO8601 timestamp of the last time the resource was updated

integer

Number of products a customer required to purchase to earn the discount

uri

URI of a Modifier API object related to the modifier to be applied with the discount once a customer earns one. This option is set when "volume_type" is "by modifier" type.

uri

URI of a ModifierClass API object related to the modifier classes to be applied with the discount once a customer earns one. This option is set when "volume_type" is "by modifier class" type.

volume_modifier_classes
array of uris

List of URIs of ModifierClass API objects related to the modifier classes to be applied with the discount once a customer earns one. This option is set when "volume_type" is "by modifier class" type.

volume_modifier_classes
uri

URI of a Product API object related to the product to be applied with the discount once a customer earns one. This option is set when "volume_type" is "by product" type.

volume_product_class
array of uris

List of URIs of ProductClass API objects related to the product classes to be applied with the discount once a customer earns one. This option is set when "volume_type" is "by classs" type.

volume_product_class
volume_product_group
array of uris

List of URIs of ProductGroup API objects related to the product group to be applied with the discount once a customer earns one. This option is set when "volume_type" is "by group" type.

volume_product_group
integer
enum

ID representing volume type by volume qualification (0 - No volume: defined same as qualifying Product/Group/Class/Modifier; 1 - By product; 2 - Be group; 3 - By class; 4 - By modifier; 5 - By modifier class)

Discount Volume Type

  • 0 - NO_VOLUME_TYPE
  • 1 - PRODUCT_VOLUME_TYPE
  • 2 - PRODUCTGROUP_VOLUME_TYPE
  • 3 - PRODUCTCLASS_VOLUME_TYPE
  • 4 - MODIFIER_VOLUME_TYPE
  • 5 - MODIFIERCLASS_VOLUME_TYPE
Allowed:
string

Discont name used for displaying at online applications

Responses

400

Invalid input

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json